#include "tajmer.h"
#include <SDL/SDL.h>


cTajmer::cTajmer()
{
    m_PocetniTikovi = 0;
    m_PauziraniTikovi = 0;
    m_Pauziran = false;
    m_Pokrenut = false;
}

void cTajmer::Pokreni()
{
    m_Pokrenut = true;

    m_Pauziran = false;

    m_PocetniTikovi = SDL_GetTicks();
}

void cTajmer::Zaustavi()
{
    m_Pokrenut = false;

    m_Pauziran = false;
}

void cTajmer::Pauziraj()
{
    if( ( m_Pokrenut == true ) && ( m_Pauziran == false ) )
    {
        m_Pauziran = true;

        m_PauziraniTikovi = SDL_GetTicks() - m_PocetniTikovi;
    }
}

void cTajmer::PokreniPonovo()
{
    if( m_Pauziran == true )
    {
        m_Pauziran = false;

        m_PocetniTikovi = SDL_GetTicks() - m_PauziraniTikovi;

        m_PauziraniTikovi = 0;
    }
}

int cTajmer::UzmiTikove()
{
    if( m_Pokrenut == true )
    {
        if( m_Pauziran == true )
        {
            return m_PauziraniTikovi;
        }
        else
        {
            return SDL_GetTicks() - m_PocetniTikovi;
        }
    }

    return 0;
}

bool cTajmer::JePokrenut()
{
    return m_Pokrenut;
}

bool cTajmer::JePauziran()
{
    return m_Pauziran;
}

