#ifndef CVET_META_H
#define CVET_META_H

#include <SDL/SDL.h>
#include "../core/gameengine.h"

class cGameEngine;

class cCvetMeta
{
    private:

    SDL_Surface *m_CvetBitmap;
    SDL_Rect     m_Kutija;

    bool        m_Mrtav;
    int         m_RedniBroj;

    public:

    cCvetMeta();
    cCvetMeta(int,int,int,cGameEngine*);
    ~cCvetMeta();

    void    Prikazi(SDL_Surface*, bool);
    SDL_Rect &UzmiKutiju();
    operator SDL_Rect();
    void    Obrisi();
    int     VratiRedniBroj();
    void    Deaktiviraj();
    void    Reaktiviraj();
    int     UzmiKoordX();
    int     UzmiKoordY();
    bool    DalJeMrtav();
};

#endif /* CVET_META_H */

