
#include "core/gameengine.h"
#include "core/tajmer.h"
#include "nivo/preintro.h"

int main ( int argc, char *argv[] )
{

	cTajmer fps;

	cGameEngine game;

	game.Init( "Mozgalice - <F11> za fullscreen, <Esc> za pauzu/izlaz" );

	// uchitaj intro
	game.ChangeState( cPreIntro::Instance() );

	// glavni loop
	while ( game.Running() )
	{
		fps.Pokreni();

		game.HandleEvents();
		game.Update();
		game.Draw();

		SDL_Flip( game.g_Ekran );

		if( fps.UzmiTikove() < 1000 / 30 )
        {
            SDL_Delay( ( 1000 / 30 ) - fps.UzmiTikove() );
        }

        game.g_Frejm++;
	}

	game.Cleanup();

	return 0;
}
