
#ifndef GAMESTATE_H
#define GAMESTATE_H

#include "../core/gameengine.h"

class cGameState
{
public:
	//virtual void Init() = 0;
	virtual void Init(cGameEngine* game) = 0;
	virtual void Cleanup(cGameEngine* game) = 0;

	virtual void Pause() = 0;
	virtual void Resume() = 0;

	virtual void HandleEvents(cGameEngine* game) = 0;
	virtual void Update(cGameEngine* game) = 0;
	virtual void Draw(cGameEngine* game) = 0;

	void ChangeState(cGameEngine* game, cGameState* state) {
		game->ChangeState(state);
	}

protected:
	cGameState() { }
};

#endif /* GAMESTATE_H */
