
#ifndef GLAVNI_MENI_H
#define GLAVNI_MENI_H

#include <SDL/SDL.h>
#include <vector>
#include "gamestate.h"

using namespace std;

class cGlavniMeni : public cGameState
{
public:

	enum MENI_STATUS
	{
		STATUS_DA,
		STATUS_NE
	};

    ~cGlavniMeni();

	void Init(cGameEngine* game);
	void Cleanup(cGameEngine* game);

	void Pause();
	void Resume();

	void HandleEvents(cGameEngine* game);
	void Update(cGameEngine* game);
	void Draw(cGameEngine* game);

	static cGlavniMeni* Instance() {
		return &m_Glavni_Meni;
	}

protected:
	cGlavniMeni() { }

private:

	static cGlavniMeni m_Glavni_Meni;

	SDL_Surface* m_Izbor;
	SDL_Surface* m_PrviIzbor;
	SDL_Surface* m_DrugiIzbor;

	SDL_Event event;

	int m_Stanje;
};

#endif /* GLAVNI_MENI_H */
