
#ifndef RESOURCEMANAGER_H
#define RESOURCEMANAGER_H

#include "SDL/SDL.h"
#include "SDL/SDL_mixer.h"
#include "SDL/SDL_image.h"
#include <iostream>

class cResourceManager
{
public:

	int Init();
	void Cleanup();

	SDL_Surface   *UzmiBitmap(char*, char*);
	char          *UzmiMediju(char*, char*, int*);
	Mix_Chunk     *UzmiZvuk(char*, char*);
	Mix_Music     *UzmiMuziku(char*, char*);

	void          AudioInit();
	void          TextInit();
	void          ImgInit();
	void          AudioExit();
	void          TextExit();
	void          ImgExit();
    //efekti i muzika
	Mix_Chunk     *r_Klik;
    Mix_Chunk     *r_Prijava;
    Mix_Chunk     *r_Odjava;
    Mix_Chunk     *r_Aplauz;
    Mix_Chunk     *r_Ubac;
    Mix_Chunk     *r_PokusajPonovo;
    Mix_Music     *r_Muzika;
    //slike
    SDL_Surface   *r_IntroPozadina;
    SDL_Surface   *r_DugmeStart;
    SDL_Surface   *r_IzborPozadina;
    SDL_Surface   *r_DugmeIzbor;
    SDL_Surface   *r_StapiciPozadina;
    SDL_Surface   *r_StapiciBitmap;
    SDL_Surface   *r_DugmeIzlaz;
    SDL_Surface   *r_CvetBitmap;
    SDL_Surface   *r_MeniDa;
    SDL_Surface   *r_MeniNe;
    SDL_Surface   *r_NazivPrograma;
    SDL_Surface   *r_Programer;
    SDL_Surface   *r_PreIntro;
    //fontovi
    SDL_Surface   *r_Font27;
    SDL_Surface   *r_Font52;
    SDL_Surface   *r_Font84;
};

#endif /* RESOURCEMANAGER_H */
