#ifndef BALVAN_H
#define BALVAN_H

#include <iostream>
#include <SDL/SDL.h>
#include "../core/gameengine.h"

using namespace std;

class cGameEngine;

class cBalvan
{
    private:

    SDL_Surface *m_Sprajtovi;
    SDL_Rect m_Kutija;
    SDL_Rect* m_Klip;
    string m_Ime;
    int m_RedniBroj;
    int m_RedniBrojCveta;
    int m_Koord_x;
    int m_Koord_y;
    bool m_Mrtav;
    bool m_Pritisnuto;

    public:

    cBalvan();
    ~cBalvan();

    void Init(int, int, int, int, int,cGameEngine*);
    void RukovanjeSignalima(SDL_Event,cGameEngine*);
    void Prikazi(SDL_Surface*);
    void PostaviIme(string ime);
    string StampajIme();
    void PostaviSprajt(SDL_Rect*);
    void PostaviRedniBr(int);
    int VratiRedniBroj();
    //uzmi kutiju za koliziju
    SDL_Rect &UzmiKutiju();
    SDL_Rect* UzmiSprajt();
    int UzmiSirinuSprajta();
    int UzmiVisinuSprajta();
    void Deaktiviraj();
    void PostaviNaPoziciju(int,int);
    void PostaviNaPocetak();
    void UzmiRedniBrCveta(int);
    int VratiRedniBrCveta();
    inline bool DalJeMrtav()
    {
        return m_Mrtav;
    }
    void PostaviDimKutije(int,int);
    operator SDL_Rect();
};


#endif /* BALVAN_H */



