
#ifndef INTRO_H
#define INTRO_H

#include <iostream>
#include <string>
#include <list>
#include "SDL/SDL.h"
#include "gamestate.h"
#include "../gui/dugme.h"

class cIntro : public cGameState
{
public:
	void Init(cGameEngine* game);
	void Cleanup(cGameEngine* game);//metode clanovi pocinju velikim slovom

	~cIntro();

	void Pause();
	void Resume();

	void HandleEvents(cGameEngine* game);
	void Update(cGameEngine* game);
	void Draw(cGameEngine* game);

	static cIntro* Instance() {
		return &m_Intro;
	}

protected:
	cIntro() { }

private:

	static cIntro m_Intro;

	SDL_Surface *m_Pozadina;//clanove sa m_VelikimSlovom
                            //odvojene reci velikim slovom
    SDL_Surface *m_NazivPrograma;
    SDL_Surface *m_Programer;

    list<cObjekat*> m_ListaObjekata;

    SDL_Event event;//samo ovo je malim slovom

    bool m_FullScr;
};

#endif /* INTRO_H */
