
#ifndef IZBOR_H
#define IZBOR_H

#include <iostream>
#include <string>
#include "SDL/SDL.h"
#include "SDL/SDL_ttf.h"
#include "gamestate.h"
#include "../gui/dugme_izbor.h"
#include "izbor.h"
#include "../gui/font52.h"



class cIzbor : public cGameState
{
public:
	void Init(cGameEngine* game);
	void Cleanup(cGameEngine* game);

	void Pause();
	void Resume();

	void HandleEvents(cGameEngine* game);
	void Update(cGameEngine* game);
	void Draw(cGameEngine* game);

	static cIzbor* Instance() {
		return &m_Izbor;
	}

protected:
	cIzbor() { }

private:

	static cIzbor m_Izbor;

	cDugmeIzbor  *dugme;//instance klasa malim slovom

	SDL_Color     m_BojaTeksta;

	SDL_Surface  *m_Pozadina;//clanove sa m_VelikimSlovom
                             //odvojene reci velikim slovom
    SDL_Event     event;     //samo ovo je malim slovom

    cFont52       *m_Poruka;

    bool          m_FullScr;
};

#endif

