
#ifndef PREINTRO_H
#define PREINTRO_H

#include <iostream>
#include "SDL/SDL.h"
#include "gamestate.h"


class cPreIntro : public cGameState
{
public:
	void Init(cGameEngine* game);
	//void Init();
	void Cleanup(cGameEngine* game);//metode clanovi pocinju velikim slovom

	~cPreIntro();

	void Pause();
	void Resume();

	void HandleEvents(cGameEngine* game);
	void Update(cGameEngine* game);
	void Draw(cGameEngine* game);

	static cPreIntro* Instance() {
		return &m_Intro;
	}

protected:
	cPreIntro() { }

private:

	static cPreIntro m_Intro;
	//cPreIntro *m_Intro = new cPreIntro;
    SDL_Event    event;

	SDL_Surface* bg;
	SDL_Surface* fader;
	int alpha;
};

#endif

